## slic3r 1.3.0+dfsg1

=== src/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
project (slic3r)

# only on newer GCCs: -ftemplate-backtrace-limit=0
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -DM_PI=3.14159265358979323846 -D_GLIBCXX_USE_C99 -DHAS_BOOL -DNOGDI -DBOOST_ASIO_DISABLE_KQUEUE")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -DSLIC3R_DEBUG")

if(CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 4.7.0)
    if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.7.3)
       set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-inline-small-functions")
    endif(CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.7.3)
endif(CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 4.7.0)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

IF(CMAKE_HOST_APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++ -DBOOST_THREAD_DONT_USE_CHRONO -DBOOST_NO_CXX11_RVALUE_REFERENCES -DBOOST_THREAD_USES_MOVE")
    set(CMAKE_EXE_LINKER_FLAGS "-framework IOKit -framework CoreFoundation -lc++")
ELSE(CMAKE_HOST_APPLE)
    set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++")
ENDIF(CMAKE_HOST_APPLE)
set(Boost_USE_STATIC_LIBS ON)
set(Boost_USE_STATIC_RUNTIME ON)
set(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
find_package(Boost COMPONENTS system thread filesystem)

set(LIBDIR ${CMAKE_CURRENT_SOURCE_DIR}/../xs/src/)

include_directories(${LIBDIR})
include_directories(${LIBDIR}/libslic3r)
include_directories(${LIBDIR}/Slic3r/GUI/)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/standalone/)
include_directories(${LIBDIR}/admesh/)
include_directories(${LIBDIR}/BSpline/)
include_directories(${LIBDIR}/expat/)
include_directories(${LIBDIR}/poly2tri/)
include_directories(${LIBDIR}/poly2tri/sweep)
include_directories(${LIBDIR}/poly2tri/common)

add_library(libslic3r STATIC
    ${LIBDIR}/libslic3r/BoundingBox.cpp
    ${LIBDIR}/libslic3r/BridgeDetector.cpp
    ${LIBDIR}/libslic3r/ClipperUtils.cpp
    ${LIBDIR}/libslic3r/Config.cpp
    ${LIBDIR}/libslic3r/ExPolygon.cpp
    ${LIBDIR}/libslic3r/ExPolygonCollection.cpp
    ${LIBDIR}/libslic3r/Extruder.cpp
    ${LIBDIR}/libslic3r/ExtrusionEntity.cpp
    ${LIBDIR}/libslic3r/ExtrusionEntityCollection.cpp
    ${LIBDIR}/libslic3r/Fill/Fill.cpp
    ${LIBDIR}/libslic3r/Fill/Fill3DHoneycomb.cpp
    ${LIBDIR}/libslic3r/Fill/FillConcentric.cpp
    ${LIBDIR}/libslic3r/Fill/FillHoneycomb.cpp
    ${LIBDIR}/libslic3r/Fill/FillPlanePath.cpp
    ${LIBDIR}/libslic3r/Fill/FillRectilinear.cpp
    ${LIBDIR}/libslic3r/Flow.cpp
    ${LIBDIR}/libslic3r/GCode.cpp
    ${LIBDIR}/libslic3r/GCode/CoolingBuffer.cpp
    ${LIBDIR}/libslic3r/GCode/SpiralVase.cpp
    ${LIBDIR}/libslic3r/GCodeReader.cpp
    ${LIBDIR}/libslic3r/GCodeSender.cpp
    ${LIBDIR}/libslic3r/GCodeTimeEstimator.cpp
    ${LIBDIR}/libslic3r/GCodeWriter.cpp
    ${LIBDIR}/libslic3r/Geometry.cpp
    ${LIBDIR}/libslic3r/IO.cpp
    ${LIBDIR}/libslic3r/IO/AMF.cpp
    ${LIBDIR}/libslic3r/IO/TMF.cpp
    ${LIBDIR}/libslic3r/Layer.cpp
    ${LIBDIR}/libslic3r/LayerRegion.cpp
    ${LIBDIR}/libslic3r/LayerRegionFill.cpp
    ${LIBDIR}/libslic3r/LayerHeightSpline.cpp
    ${LIBDIR}/libslic3r/Line.cpp
    ${LIBDIR}/libslic3r/Model.cpp
    ${LIBDIR}/libslic3r/MotionPlanner.cpp
    ${LIBDIR}/libslic3r/MultiPoint.cpp
    ${LIBDIR}/libslic3r/PerimeterGenerator.cpp
    ${LIBDIR}/libslic3r/PlaceholderParser.cpp
    ${LIBDIR}/libslic3r/Point.cpp
    ${LIBDIR}/libslic3r/Polygon.cpp
    ${LIBDIR}/libslic3r/Polyline.cpp
    ${LIBDIR}/libslic3r/PolylineCollection.cpp
    ${LIBDIR}/libslic3r/Print.cpp
    ${LIBDIR}/libslic3r/PrintConfig.cpp
    ${LIBDIR}/libslic3r/PrintObject.cpp
    ${LIBDIR}/libslic3r/PrintRegion.cpp
    ${LIBDIR}/libslic3r/SLAPrint.cpp
    ${LIBDIR}/libslic3r/SlicingAdaptive.cpp
    ${LIBDIR}/libslic3r/Surface.cpp
    ${LIBDIR}/libslic3r/SurfaceCollection.cpp
    ${LIBDIR}/libslic3r/SVG.cpp
    ${LIBDIR}/libslic3r/TriangleMesh.cpp
    ${LIBDIR}/libslic3r/Zip/ZipArchive.cpp
)

add_library(BSpline STATIC
    ${LIBDIR}/BSpline/BSpline.cpp
)

add_library(admesh STATIC
    ${LIBDIR}/admesh/connect.c
    ${LIBDIR}/admesh/normals.c
    ${LIBDIR}/admesh/shared.c
    ${LIBDIR}/admesh/stl_io.c
    ${LIBDIR}/admesh/stlinit.c
    ${LIBDIR}/admesh/util.c
)
set_property(TARGET admesh PROPERTY C_STANDARD 99)

add_library(clipper STATIC ${LIBDIR}/clipper.cpp)
add_library(expat STATIC
    ${LIBDIR}/expat/xmlparse.c
    ${LIBDIR}/expat/xmlrole.c
    ${LIBDIR}/expat/xmltok.c
)
add_library(polypartition STATIC ${LIBDIR}/polypartition.cpp)
add_library(poly2tri STATIC
    ${LIBDIR}/poly2tri/common/shapes.cc
    ${LIBDIR}/poly2tri/sweep/advancing_front.cc
    ${LIBDIR}/poly2tri/sweep/cdt.cc
    ${LIBDIR}/poly2tri/sweep/sweep_context.cc
    ${LIBDIR}/poly2tri/sweep/sweep.cc
)

add_executable(slic3r slic3r.cpp)
set_target_properties(slic3r PROPERTIES LINK_SEARCH_START_STATIC 1)
set_target_properties(slic3r PROPERTIES LINK_SEARCH_END_STATIC 1)

add_executable(extrude-tin utils/extrude-tin.cpp)
set_target_properties(extrude-tin PROPERTIES LINK_SEARCH_START_STATIC 1)
set_target_properties(extrude-tin PROPERTIES LINK_SEARCH_END_STATIC 1)

set(wxWidgets_USE_STATIC)
SET(wxWidgets_USE_LIBS)

set(Boost_USE_STATIC_LIBS ON)
set(Boost_USE_STATIC_RUNTIME ON)
set(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
find_library(bsystem_l boost_system)
add_library(bsystem STATIC IMPORTED)
set_target_properties(bsystem PROPERTIES IMPORTED_LOCATION ${bsystem_l})
find_library(bthread_l boost_thread)
add_library(bthread STATIC IMPORTED)
set_target_properties(bthread PROPERTIES IMPORTED_LOCATION ${bthread_l})
include_directories(${Boost_INCLUDE_DIRS})

#find_package(wxWidgets)
#disable wx for the time being - we're not building any of the gui yet
IF(CMAKE_HOST_UNIX)
    #set(Boost_LIBRARIES bsystem bthread bfilesystem)
ENDIF(CMAKE_HOST_UNIX)

target_link_libraries (slic3r libslic3r admesh BSpline clipper expat polypartition poly2tri ${Boost_LIBRARIES})

IF(wxWidgets_FOUND)
    MESSAGE("wx found!")
    INCLUDE("${wxWidgets_USE_FILE}")
    add_library(slic3r_gui STATIC ${LIBDIR}/slic3r/GUI/3DScene.cpp ${LIBDIR}/slic3r/GUI/GUI.cpp)
    #only build GUI lib if building with wx
    target_link_libraries (slic3r slic3r-gui ${wxWidgets_LIBRARIES})
ELSE(wxWidgets_FOUND)
    # For convenience. When we cannot continue, inform the user
    MESSAGE("wx not found!")
    #skip gui when no wx included
ENDIF(wxWidgets_FOUND)

# Windows needs a compiled component for Boost.nowide
IF (WIN32)
    add_library(boost-nowide STATIC 
        ${LIBDIR}/boost/nowide/iostream.cpp
    )

    target_link_libraries(slic3r boost-nowide)
    target_link_libraries(extrude-tin boost-nowide)
ENDIF(WIN32)

target_link_libraries (extrude-tin libslic3r admesh BSpline clipper expat polypartition poly2tri ${Boost_LIBRARIES})

## slic3r 1.1.7+dfsg

=== debian/changelog ===
slic3r (1.1.7+dfsg-2) unstable; urgency=medium

  * [42346bd] Fix FTBFS with Perl 5.20: out of memory.
    Thanks to Niko Tyni <ntyni@debian.org> (Closes: #757798)

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 13 Aug 2014 16:39:43 +0800

slic3r (1.1.7+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ranellucci <aar@cpan.org>  Wed, 06 Aug 2014 11:18:02 +0800

slic3r (1.1.6+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 04 Jul 2014 11:48:02 +0800

slic3r (1.1.5+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 27 Jun 2014 15:03:44 +0800

slic3r (1.1.4+dfsg-3) experimental; urgency=medium

  * [986f0cc] Build-dep on xauth
    xauth has been demoted to recomends in xvfb, causing xvfb-run to fail with
    "xauth command not found"

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 18 Jun 2014 02:52:13 +0800

slic3r (1.1.4+dfsg-2) experimental; urgency=medium

  * [e8a0e07] Add missing copyright entries

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 17 Jun 2014 01:27:26 +0800

slic3r (1.1.4+dfsg-1) experimental; urgency=low

  * New upstream release.
  * [b8ab785] Drop Bugfix-crash-when-skirt-was-contained-in-brim-area.-.patch.
    Applied upstream.
  * [28c2659] Exclude xs/src/boost.
    Bundled copy of boost.
  * [334f90f] Use dfsg as upstream-branch in gbp.conf
  * [fae4695] Build-dep on libboost-all-dev
  * [d59a033] Add dversionmangle to watch
  * [b960849] Add manpages
  * [6c06860] Add extra recommends
    - libpdf-api2-perl
    - libio-all-perl
    - libsvg-perl
  * [b41cf18] Fix manpage-has-useless-whatis-entry in slic3r.1

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 16 Jun 2014 09:28:22 +0800

slic3r (1.1.3-1) experimental; urgency=low

  * New upstream release.
  * [7c536c4] Add desktop file
  * [fdb45b4] Add icon symlinks
  * [a047706] Drop xbase-clients build-dep.
    It's obsolete, superseded by a bunch of split packages.
  * [ca9f1cf] Bump Standards-Version to 3.9.5 (no changes required)
  * [f6da5ba] Add watch file
  * [b1ca504] Recommend libwx-glcanvas-perl.
    Required for the viewing/cutting functionality.
  * [71ca248] Add myself to copyright
  * [b297382] Set package team maintained and add myself to Uploaders
  * [fb7249d] Refresh patches and cherry-pick bugfix for skirt-in-brim crash

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 27 May 2014 10:38:19 +0800

slic3r (0.9.11~dev.git20131027.ff25cc9-1) UNRELEASED; urgency=low

  * Initial Release. (Closes: #689636)

 -- Nicolas Dandrimont <olasd@debian.org>  Mon, 28 Oct 2013 09:20:09 +0100

=== debian/control ===
Source: slic3r
Section: perl
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>,
           Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9.20120312),
               help2man,
               libboost-all-dev,
               libboost-geometry-utils-perl,
               libclass-xsaccessor-perl,
               libencode-locale-perl,
               libextutils-parsexs-perl (>= 3.180004),
               libextutils-typemaps-default-perl,
               libfile-spec-perl,
               libio-stringy-perl,
               libmath-convexhull-monotonechain-perl,
               libmath-geometry-voronoi-perl,
               libmath-planepath-perl,
               libmodule-build-withxspp-perl,
               libmoo-perl,
               libopengl-perl,
               libstorable-perl,
               libtime-hires-perl,
               libwx-perl,
               libxml-sax-expatxs-perl,
               perl,
               xfonts-base,
               xvfb,
               xauth
Standards-Version: 3.9.5
Homepage: http://slic3r.org/

Package: slic3r
Architecture: any
Depends: libboost-geometry-utils-perl,
         libencode-locale-perl,
         libfile-spec-perl,
         libio-stringy-perl,
         libmath-convexhull-monotonechain-perl,
         libmath-geometry-voronoi-perl,
         libmath-planepath-perl,
         libmoo-perl,
         libstorable-perl,
         libtime-hires-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: libclass-xsaccessor-perl,
            libopengl-perl,
            libwx-perl,
            libwx-glcanvas-perl,
            libxml-sax-expatxs-perl,
            libpdf-api2-perl,
            libio-all-perl,
            libsvg-perl
Description: G-code generator for 3D printers
 Slic3r converts digital 3D models into printing instructions (G-code)
 for your 3D printer. It cuts the model into horizontal slices (layers),
 generates toolpaths to fill them and calculates the amount of material
 to be extruded.
 .
 Slic3r supports input in the STL, AMF and OBJ formats, and can output
 G-code for several series of 3D printers, including RepRap, Ultimaker,
 Makerbot, as well as SVG files for DLP printers.
 .
 It can be used with a graphical interface, or in batch mode via the
 command-line.

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/slic3r-$1.tar.gz/,dversionmangle=s/\+dfsg\d*//" \
  https://github.com/alexrj/Slic3r/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## slic3r 1.2.9%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export SLIC3R_NO_AUTO=yes

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Dxs

override_dh_auto_build:
	xvfb-run -a dh_auto_build -Dxs

override_dh_auto_clean:
	dh_auto_clean -Dxs
	rm -rf xs/Build xs/MYMETA.json xs/MYMETA.yml xs/_build/ xs/blib/ xs/buildtmp/
	dh_auto_clean

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	prove -v -Ilib -Ixs/blib/arch -Ixs/blib/lib t xs/t
endif

override_dh_auto_install:
	dh_auto_install -Dxs

	# Install Slic3r Perl module
	mkdir -p $(CURDIR)/debian/slic3r/usr/share/perl5
	cp -r lib/* $(CURDIR)/debian/slic3r/usr/share/perl5

	# Install Slic3r in PATH
	mkdir -p $(CURDIR)/debian/slic3r/usr/bin
	cp slic3r.pl $(CURDIR)/debian/slic3r/usr/bin/slic3r

	# Install Slic3r resources in /usr/share/slic3r
	mkdir -p $(CURDIR)/debian/slic3r/usr/share
	cp -r var $(CURDIR)/debian/slic3r/usr/share/slic3r
	chmod 644 $(CURDIR)/debian/slic3r/usr/share/slic3r/*.png

	# Install zsh completion
	mkdir -p $(CURDIR)/debian/slic3r/usr/share/zsh/vendor-completions
	cp utils/zsh/functions/_slic3r $(CURDIR)/debian/slic3r/usr/share/zsh/vendor-completions/

	# Install utilities
	set -e; for file in utils/*.pl; do \
		cp $$file $(CURDIR)/debian/slic3r/usr/bin/`basename $$file .pl`; \
		chmod +x $(CURDIR)/debian/slic3r/usr/bin/`basename $$file .pl`; \
	done

	# Install example post-processing scripts
	mkdir -p $(CURDIR)/debian/slic3r/usr/share/doc/slic3r/examples
	cp -r utils/post-processing $(CURDIR)/debian/slic3r/usr/share/doc/slic3r/examples

## slic3r 1.2.9+dfsg

=== debian/changelog ===
slic3r (1.2.9+dfsg-9) unstable; urgency=medium

  * [1ae29f4] Patch "use lib" line in all installed binaries (Closes: #886125)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 05 Jan 2018 17:30:58 +0800

slic3r (1.2.9+dfsg-8) unstable; urgency=medium

  * [c1b29a0] Acknowledge NMU (Closes: #869360)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 09 Oct 2017 23:00:52 +0800

slic3r (1.2.9+dfsg-7) unstable; urgency=medium

  * [e77c05d] Fill up slic3r.desktop so that it can be used to open stl files
  * [9438384] Import patches to fix bugs.
     - Workaround missing GL_MULTISAMPLE macro (Closes: #872273)
     - Fix importing binary STLs on big-endian architectures
  * [99cbb39] Bump Standards-Version

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 03 Oct 2017 01:52:16 +0800

slic3r (1.2.9+dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "missing dependency on perlapi-*":
    add override_dh_perl in debian/rules to make dh_perl search for perl
    modules in the private directory as well.
    (Closes: #869360)

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Aug 2017 13:27:56 -0400

slic3r (1.2.9+dfsg-6) unstable; urgency=medium

  * [9db9b59] Shift perl modules into private directories.
    This is preparation for co-installation with slic3r-prusa.
  * [888531e] Patch slic3r bin script to look in private dirs

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 03 Nov 2016 10:23:40 +0800

slic3r (1.2.9+dfsg-5) unstable; urgency=medium

  * Fix spelling errors.

 -- Rock Storm <rockstorm@gmx.com>  Sat, 17 Sep 2016 11:30:43 +0200

slic3r (1.2.9+dfsg-4) unstable; urgency=medium

  * Team upload.
  * [9adee80] Fix incompatible change in Boost 1.60
  * [cc330e0] Adapt to GCC 6. (Closes: #811700)
  * [511ee63] Upgrade to Standards-Version 3.9.8

 -- Rock Storm <rockstorm@gmx.com>  Fri, 16 Sep 2016 19:58:53 +0200

slic3r (1.2.9+dfsg-3) unstable; urgency=medium

  * [4a55dd0] Update perl dependencies
  * [9875610] Parallelize builds when possible
  * [a67cede] No-change bump of Standards-Version to 3.9.7

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 06 Mar 2016 15:20:07 +0800

slic3r (1.2.9+dfsg-2) unstable; urgency=low

  * Reupload to unstable. Turns out this is marked as a stable release.

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 24 Jun 2015 11:46:48 +0800

slic3r (1.2.9+dfsg-1) experimental; urgency=low

  * New upstream release
  * [43da535] Refresh patch
  * [90319c2] Downgrade Encode::Locale requirement.
    1.05 isn't in Debian yet.

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 17 Jun 2015 21:35:20 +0800

slic3r (1.2.8+dfsg-1) experimental; urgency=medium

  * New upstream release
  * [d2cb5e0] Set repacksuffix=+dfsg in d/watch

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 10 Jun 2015 15:36:18 +0800

slic3r (1.2.7+dfsg-1) experimental; urgency=low

  * New upstream release
  * [b6ad0f7] Refresh patches
  * [cf99583] Specify bar dependency for libextutils-parsexs-perl

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 25 May 2015 10:00:36 +0800

slic3r (1.2.6+dfsg-1) experimental; urgency=low

  * New upstream release

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 02 Feb 2015 02:33:22 +0800

slic3r (1.2.5+dfsg-1) experimental; urgency=low

  * New upstream release
  * [e980183] Update slic3r.1 manpage

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 14 Jan 2015 12:08:10 +0800

slic3r (1.2.4+dfsg-1) experimental; urgency=medium

  * New upstream release
  * [48f2cb3] No-change Standards-Version bump to 3.9.6
  * [d61ee48] Refresh patches
  * [5745ae1] Add wireframe.1 manpage

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 31 Dec 2014 09:02:57 +0800

slic3r (1.2.1+dfsg-1) experimental; urgency=low

  * New upstream release

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 10 Nov 2014 01:45:10 +0800

slic3r (1.2.0+dfsg-1) experimental; urgency=medium

  * New upstream release
  * [51f1225] Refresh patches
  * [2dec8f3] Update slic3r.1 manpage
  * [18ac2c4] Add new manpages for new /usr/bin/ utilities

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 08 Aug 2014 22:13:09 +0800

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libboost-geometry-utils-perl,
                libclass-xsaccessor-perl,
                libencode-locale-perl,
-               libextutils-parsexs-perl (>= 3.180004),
+               perl (>= 5.19.1) | libextutils-parsexs-perl (>= 3.180004),
                libextutils-typemaps-default-perl,
-               libfile-spec-perl,
+               perl,
                libio-stringy-perl,
                libmath-convexhull-monotonechain-perl,
                libmath-geometry-voronoi-perl,
@@ -24,18 +24,18 @@
                libtime-hires-perl,
                libwx-perl,
                libxml-sax-expatxs-perl,
-               perl,
                xfonts-base,
                xvfb,
                xauth
-Standards-Version: 3.9.5
+Standards-Version: 4.1.0
 Homepage: http://slic3r.org/
+Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/slic3r.git
+Vcs-Browser: https://anonscm.debian.org/git/3dprinter/packages/slic3r.git
 
 Package: slic3r
 Architecture: any
 Depends: libboost-geometry-utils-perl,
          libencode-locale-perl,
-         libfile-spec-perl,
          libio-stringy-perl,
          libmath-convexhull-monotonechain-perl,
          libmath-geometry-voronoi-perl,

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,20 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/default.mk
+
 export SLIC3R_NO_AUTO=yes
+
+build_args = \
+	--install_path arch=/usr/lib/slic3r/
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -Dxs
+	dh_auto_configure -Dxs -- $(build_args)
 
 override_dh_auto_build:
-	xvfb-run -a dh_auto_build -Dxs
+	xvfb-run -a dh_auto_build -Dxs --parallel -- $(build_args)
 
 override_dh_auto_clean:
 	dh_auto_clean -Dxs
@@ -22,11 +27,11 @@
 endif
 
 override_dh_auto_install:
-	dh_auto_install -Dxs
+	dh_auto_install -Dxs -- $(build_args)
 
 	# Install Slic3r Perl module
-	mkdir -p $(CURDIR)/debian/slic3r/usr/share/perl5
-	cp -r lib/* $(CURDIR)/debian/slic3r/usr/share/perl5
+	mkdir -p $(CURDIR)/debian/slic3r/usr/lib/slic3r
+	cp -r lib/* $(CURDIR)/debian/slic3r/usr/lib/slic3r
 
 	# Install Slic3r in PATH
 	mkdir -p $(CURDIR)/debian/slic3r/usr/bin
@@ -50,3 +55,7 @@
 	# Install example post-processing scripts
 	mkdir -p $(CURDIR)/debian/slic3r/usr/share/doc/slic3r/examples
 	cp -r utils/post-processing $(CURDIR)/debian/slic3r/usr/share/doc/slic3r/examples
+
+override_dh_perl:
+	# make dh_perl search for perl modules in the private directory as well
+	dh_perl /usr/lib/slic3r

## slic3r 1.3.0%2Bdfsg1

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/slic3r-$1.tar.gz/,dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg" \
  https://github.com/alexrj/Slic3r/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## slic3r 1.3.0+dfsg1

=== debian/changelog ===
slic3r (1.3.0+dfsg1-6) unstable; urgency=medium

  * [a499dcc] Acknowledge NMU
  * [bb9d230] Patch to fix FTBFS with boost 1.88.
    Thanks to Gregor Riepl <onitake@gmail.com> (Closes: #1110676)
  * [cadd725] Drop libleatherman-dev build-dep
  * [c8a5b78] d/copyright: Drop FSF address
  * [fcc7a19] d/watch: Update to version 4
  * [1e0fdd6] d/control: Bump Standards-Version to 4.7.2
  * [61689bc] Bump dh compat to 13

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 14 Oct 2025 17:20:38 +0800

slic3r (1.3.0+dfsg1-5.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Zixing Liu ]
  * Apply backported patch by Jonathan Wakely <jwakely@fedoraproject.org>
    to fix FTBFS with GCC-14. (Closes: #1081104)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 20 Nov 2024 21:21:38 +0100

slic3r (1.3.0+dfsg1-5) unstable; urgency=medium

  * [d1f6f28] Link against boost-nowide.
    Thanks to Bernhard Übelacker <bernhardu@mailbox.org> (Closes: #985473)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 26 Apr 2021 01:46:44 +0800

slic3r (1.3.0+dfsg1-4) unstable; urgency=medium

  * [19f56c2] Reexport patches with gbp-pq
  * [e0b0e82] Fix CVE-2020-28591 (Closes: #985620)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 23 Mar 2021 00:53:36 +0800

slic3r (1.3.0+dfsg1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * [6175a8d] Add d/salsa-ci.yml
  * [e4c2e26] Fix compilation against boost_1.74. (Closes: #977449)

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Dec 2020 22:27:51 +0100

slic3r (1.3.0+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Giovanni Mascellani ]
  * Fix FTBFS with Boost 1.71. (Closes: #958156)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 09 Jun 2020 00:34:00 +0200

slic3r (1.3.0+dfsg1-3) unstable; urgency=medium

  * [b61cf9b] Import patch to fix admesh compilation bug (Closes: #907346)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 08 Nov 2018 19:19:10 +0800

slic3r (1.3.0+dfsg1-2) unstable; urgency=medium

  * [b128e8f] Update Add-usr-lib-slic3r-to-lib-search-path.patch for new scripts
  * [a6a82a1] Fix executable .ico and .icns files
  * [6d723f8] Update Vcs-* addresses for salsa port
  * [337205f] Drop local::lib usage from util scripts

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 28 May 2018 02:27:21 +0800

slic3r (1.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * [75ac14d] Update patches and drop upstreamed ones
  * [7052816] Add patch to use system expat
  * [b1cb899] Fix Move-Slic3r-data-to-usr-share-slic3r.patch
    $var is supposed to be a sub reference, not a string.

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 26 May 2018 21:07:21 +0800

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>,
            Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9.20120312),
+Build-Depends: debhelper-compat (= 13),
                help2man,
                libboost-all-dev,
                libboost-geometry-utils-perl,
                libclass-xsaccessor-perl,
+               libdevel-checklib-perl,
                libencode-locale-perl,
                perl (>= 5.19.1) | libextutils-parsexs-perl (>= 3.180004),
                libextutils-typemaps-default-perl,
                perl,
                libio-stringy-perl,
+               liblocal-lib-perl,
                libmath-convexhull-monotonechain-perl,
                libmath-geometry-voronoi-perl,
                libmath-planepath-perl,
@@ -27,10 +29,10 @@
                xfonts-base,
                xvfb,
                xauth
-Standards-Version: 4.1.0
+Standards-Version: 4.7.2
 Homepage: http://slic3r.org/
-Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/slic3r.git
-Vcs-Browser: https://anonscm.debian.org/git/3dprinter/packages/slic3r.git
+Vcs-Browser: https://salsa.debian.org/3dprinting-team/slic3r.git
+Vcs-Git: https://salsa.debian.org/3dprinting-team/slic3r
 
 Package: slic3r
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	# Install Slic3r resources in /usr/share/slic3r
 	mkdir -p $(CURDIR)/debian/slic3r/usr/share
 	cp -r var $(CURDIR)/debian/slic3r/usr/share/slic3r
-	chmod 644 $(CURDIR)/debian/slic3r/usr/share/slic3r/*.png
+	cd $(CURDIR)/debian/slic3r/usr/share/slic3r/ && chmod 0644 *.png *.ico *.icns
 
 	# Install zsh completion
 	mkdir -p $(CURDIR)/debian/slic3r/usr/share/zsh/vendor-completions

=== debian/watch ===
version=4

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/slic3r-$1.tar.gz/,dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg" \
  https://github.com/alexrj/Slic3r/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
